summaryrefslogtreecommitdiffstats
path: root/fetch.sh
diff options
context:
space:
mode:
authorMichael Allen <michael@michaelallen.io>2015-08-25 17:27:56 +0100
committerMichael Allen <michael@michaelallen.io>2015-08-25 17:27:56 +0100
commit81612cb359baac0b476731aff4eb78e04050f857 (patch)
tree4bfd944369a7cce1353f90b0b72840312b6a0b1d /fetch.sh
parentf9f0a484c8fce069d37b7ca5f7b7e17b3742677c (diff)
downloadgit-sonar-81612cb359baac0b476731aff4eb78e04050f857.tar.gz
git-sonar-81612cb359baac0b476731aff4eb78e04050f857.zip
Follow symlinks when loading libs0.1
Diffstat (limited to 'fetch.sh')
-rwxr-xr-xfetch.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/fetch.sh b/fetch.sh
index c06bbad..37601e3 100755
--- a/fetch.sh
+++ b/fetch.sh
@@ -1,6 +1,13 @@
#! /usr/bin/env bash
-dot="$(cd "$(dirname "$0")"; pwd)"
+if [[ "$OSTYPE" == *darwin* ]]; then
+ READLINK_CMD='greadlink'
+else
+ READLINK_CMD='readlink'
+fi
+
+dot="$(cd "$(dirname "$([ -L "$0" ] && $READLINK_CMD -f "$0" || echo "$0")")"; pwd)"
+
source $dot/radar-base.sh
fetch;